/*
 * SCC string functions
 *
 * (c)2001 Snakessoft
 * This will be improved upon, someday?
 *
 */

#ifndef __scc_include_string_h_
#define __scc_include_string_h_

char toupper(char k){
 if(k>='a' && k<='z'){ k-='a'; k+='A'; }
return k; }

char tolower(char k){
 if(k>='A' && k<='Z'){ k-='A'; k+='a'; }
return k; }

int strlen(char *str){
  long num=0;
  int cnt=0;
  char k;
  for(;;cnt++){
    k=str[cnt];
    if(k==0)break;
       }
return cnt; }

void strcat(char *str1, char *str2){
 int cnt,cnt2;
 char k;
 cnt2=strlen(str1);
 for(cnt=0;;cnt++,cnt2++){
        k=str2[cnt];
        str1[cnt2]=k;
        if(k==0)break;
                }
return; }

void strcpy(char *str1, char *str2){
 int cnt;
 char k;
 for(cnt=0;;cnt++){
        k=str2[cnt];
        str1[cnt]=k;
        if(k==0)break;
                }
return; }

int strcmp(char *str1, char *str2){
 int cnt;
 char k1,k2;
 for(cnt=0;;cnt++){
      k1=str1[cnt];
      k2=str2[cnt];
      if(k1==0 && k2==0)return 0;
      if(k1!=k2)return 1;
              }
return 1; }

int stricmp(char *str1, char *str2){
 int cnt;
 char k1,k2;
 for(cnt=0;;cnt++){
      k1=str1[cnt]; k1=toupper(k1);
      k2=str2[cnt]; k2=toupper(k2);
      if(k1==0 && k2==0)return 0;
      if(k1!=k2)return 1;
              }
return 1; }


#endif
